/// <reference types="react" />
import { ZocksChatActions } from '../../models';
import { ChatAttachmentModel } from '../../store/chat/models';
export declare const useChat: (chatActions: ZocksChatActions) => {
    sendPublicMessage: (message: string, attachment?: ChatAttachmentModel | undefined) => void;
    sendPrivateMessage: (message: string, remoteParticipant: import("../../models").ParticipantModel, attachment?: ChatAttachmentModel | undefined) => void;
    uploadAttachment: (file: File, remoteParticipant?: import("../../models").ParticipantModel | undefined) => Promise<string | undefined>;
    getAttachmentLocation: (attachmentFileId: string) => Promise<string | undefined>;
    publicChatMessages: import("../../store/chat/models").ChatMessageModel[];
    privateChatMessages: {
        [participantId: string]: import("../../store/chat/models").ChatMessageModel[];
    };
};
export declare const useChatAttachment: (attachment: ChatAttachmentModel, getAttachmentLocation: (fileId: string) => Promise<string | undefined>) => {
    anchorRef: import("react").RefObject<HTMLAnchorElement>;
    isAttachmentLoading: boolean;
    hasAttachmentError: boolean;
    attachmentUrl: string;
    downloadAttachment: () => void;
};
