import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { ChatMessageAction, ChatMessageModel, ChatModel } from './models';
export declare const chatSlice: import("@reduxjs/toolkit").Slice<ChatModel, {
    savePublicChatMessage: (state: import("immer/dist/internal").WritableDraft<ChatModel>, action: PayloadAction<ChatMessageAction>) => void;
    privateChatMessageReceived: (state: import("immer/dist/internal").WritableDraft<ChatModel>, action: PayloadAction<ChatMessageAction>) => void;
    privateChatMessageSent: (state: import("immer/dist/internal").WritableDraft<ChatModel>, action: PayloadAction<ChatMessageAction>) => void;
    clearChatMessages: (state: import("immer/dist/internal").WritableDraft<ChatModel>) => void;
}, "chat">;
export declare const savePublicChatMessage: import("@reduxjs/toolkit").ActionCreatorWithPayload<ChatMessageAction, string>, privateChatMessageReceived: import("@reduxjs/toolkit").ActionCreatorWithPayload<ChatMessageAction, string>, privateChatMessageSent: import("@reduxjs/toolkit").ActionCreatorWithPayload<ChatMessageAction, string>, clearChatMessages: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<string>;
export declare const selectPublicChatMessages: (state: RootState) => ChatMessageModel[];
export declare const selectPrivateChatMessages: (state: RootState) => {
    [participantId: string]: ChatMessageModel[];
};
declare const _default: import("redux").Reducer<ChatModel, import("redux").AnyAction>;
export default _default;
