import { configureStore } from '@reduxjs/toolkit'
import chatReducer from '../store/chat/chatSlice'
import sessionReducer from '../store/session/sessionSlice'
import viewReducer from '../store/view/viewSlice'

export const zocksStoreConfig = {
  reducer: {
    session: sessionReducer,
    view: viewReducer,
    chat: chatReducer,
  },
}

const store = configureStore(zocksStoreConfig)

export type AppDispatch = typeof store.dispatch
export type RootState = ReturnType<typeof store.getState>
