import React from 'react'
import { RecipientSelectorElementProps } from '../models'
import './RecipientSelector.scss'

export const RecipientSelector: React.FC<RecipientSelectorElementProps> = ({
  remoteParticipants,
  onRecipientSelected,
  selectInfoText = 'To',
  allParticipantsLabel = 'Everyone',
}) => {
  return (
    <div className='chat-input__recipient-select-container'>
      <div>{selectInfoText}</div>
      <select
        className='chat-input__recipient-select'
        defaultValue=''
        onChange={(evt) => onRecipientSelected(evt.target.value)}
      >
        <option value=''>{allParticipantsLabel}</option>
        {remoteParticipants &&
          remoteParticipants
            .filter((p) => !!p.id)
            .map((p) => (
              <option key={p.id} value={p.id!}>
                {p.name}
              </option>
            ))}
      </select>
    </div>
  )
}
