import React from 'react'
import { Audio } from '../../Media'
import { useZocksStore } from '../../../app'
import { selectSpeakingRemoteParticipantAudioTracks } from '../../../store'

export const ParticipantAudio: React.FC = () => {
  const audioTracks = useZocksStore(selectSpeakingRemoteParticipantAudioTracks)

  return (
    <>
      {audioTracks.map(({ track }) => (
        <Audio key={track.id} audioStream={track} />
      ))}
    </>
  )
}
