import React from 'react'
import { ParticipantModel } from '../../models'
import { useParticipant } from '../../store'
import { Audio, Video } from '../Media'
import './ScreenShare.scss'

export const ScreenShare: React.FC<{ participant: ParticipantModel }> = ({ participant }) => {
  const {
    tracks: { screenShareTrack, primaryAudioTrack },
    isLocal,
  } = useParticipant(participant)

  return (
    <div className='screen-share'>
      {screenShareTrack && <Video videoStream={screenShareTrack.track} />}
      {!isLocal && primaryAudioTrack && !primaryAudioTrack.isMuted && <Audio audioStream={primaryAudioTrack.track} />}
    </div>
  )
}
