import React from 'react'
import { render, screen } from '@testing-library/react'
import App from './App'
import { setupMediaDevicesMock } from '../../testUtils'
import userEvent from '@testing-library/user-event'

const loadDevices = async () => {
  const audioDevicesButton = screen.getByRole('button', { name: 'Audio devices' })
  userEvent.click(audioDevicesButton)
  expect(await screen.findByText('Test Microphone 1')).toBeInTheDocument()
  userEvent.click(audioDevicesButton)
}

test('renders the example application', async () => {
  setupMediaDevicesMock()
  render(<App />)
  await loadDevices()
  const exampleText = screen.getByText('Example')
  expect(exampleText).toBeInTheDocument()
})
