import { ConnectionQuality, StreamKind, StreamSource } from '@zocks-communications/client-sdk-js'

interface TrackAction {
  trackId: string
  trackKind: StreamKind
  trackSource: StreamSource
}

export interface LocalTrackPublishedAction extends TrackAction {
  trackIsMuted: boolean
}

export interface LocalTrackUnPublishedAction extends TrackAction {}

export interface TrackSubscribeAction extends TrackAction {
  participantId: string
  trackIsMuted: boolean
}

export interface TrackUnPublishedAction extends TrackAction {
  participantId: string
}

export interface TrackMuteAction {
  participantId: string
  trackId?: string
}

export interface AddRemoteParticipantAction {
  participantId: string
  participantName?: string
}

export interface RemoveRemoteParticipantAction {
  participantId: string
}

export interface ConnectionQualityAction {
  participantId: string
  connectionQuality: ConnectionQuality
}
